Some SDK samples require VS2005, not VS2008 - Microsoft Windows SDK Blog - Site Home - MSDN Blogs
Visual Studio 2008には一部のヘルプ、ライブラリがないためWindows SDKのサンプルの一部がコンパイルできないんだそうな。コンパイルにはVisual Studio 2005を使ってねということだそうで。

Require Mspbase.h:
netdsTapiTapi3CppMspMSPBase
netdsTapiTapi3CppMspSample
netdsTapiTapi3Cpppluggable

Require Mtype.h:
netdsTapiTapi3Cpp apirecv
netdsTapiTapi3Cpp apisend

Require mfc80ud.lib
SysmgmtWmiVCAdvClient

TAPI ver 3ですか…。